Bug 1118970 - [abrt] meld: prefs.py:123:__setattr__:GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
Summary: [abrt] meld: prefs.py:123:__setattr__:GError: Configuration server couldn't b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:43f5cec16c3d8a4d2690e674dd3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 14:07 UTC by seth Nimbosa
Modified: 2015-06-29 21:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:53 UTC


Attachments (Terms of Use)
File: backtrace (769 bytes, text/plain)
2014-07-12 14:07 UTC, seth Nimbosa
no flags Details
File: environ (1.83 KB, text/plain)
2014-07-12 14:07 UTC, seth Nimbosa
no flags Details

Description seth Nimbosa 2014-07-12 14:07:42 UTC
Description of problem:
1. open two git repo folders in Meld,
2. click on the tree a few files for comparison,
3. let it idle for 30 minutes or so..
4. CRASH

Version-Release number of selected component:
meld-1.8.5-1.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/bin/meld
executable:     /usr/bin/meld
kernel:         3.14.7-200.fc20.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
prefs.py:123:__setattr__:GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Traceback (most recent call last):
  File "/usr/share/meld/meld/meldwindow.py", line 428, in on_size_allocate
    app.prefs.window_size_y = rect.height
  File "/usr/share/meld/meld/util/prefs.py", line 123, in __setattr__
    setfunc("%s/%s" % (self._rootkey, attr), val)
GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Local variables in innermost frame:
self: <meld.preferences.MeldPreferences object at 0x90de88c>
val: 728
setfunc: <built-in method set_int of gconf.Client object at 0x904beb4>
value: <meld.util.prefs.Value object at 0x90db02c>
attr: 'window_size_y'

Comment 1 seth Nimbosa 2014-07-12 14:07:51 UTC
Created attachment 917515 [details]
File: backtrace

Comment 2 seth Nimbosa 2014-07-12 14:07:54 UTC
Created attachment 917516 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:21:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:33:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.